/****************************************************************************
 *   COPYRIGHT 2019 All rights reserved
 *   Panasonic Industrial Devices Europe GmbH
 ****************************************************************************/

#ifndef __CMSIS_H__
#define __CMSIS_H__

#include "host_api.h"

#include "gpio.h"

typedef enum gpio_interrupt_detection_setting GPIO_Interrupt_Detection_Setting_t;
typedef enum gpio_pull_updown GPIO_Pull_UpDown_t;
typedef enum gpio_current_drive GPIO_Current_Drive_t;
typedef enum gpio_io_configuration GPIO_IO_Configuration_t;
typedef struct gpio_pin_configuration GPIO_Pin_Configuration_t;

typedef enum gpio_port GPIO_Port_t;
typedef enum gpio_bit_value GPIO_Bit_Value_t;

typedef struct {
  int32_t (*Initialize)(GPIO_Port_t port, GPIO_Pin_Configuration_t *configuration, void (*func)(uint32_t));
  int32_t (*Write)(GPIO_Port_t port, GPIO_Bit_Value_t value);
} const TC35680_DRIVER_GPIO;

extern TC35680_DRIVER_GPIO Driver_GPIO;

#include "pwm.h"

typedef enum pwm_channel PWM_Channel_t;
typedef int PWM_Clock_t;
typedef enum pwm_1s_timer_settings PWM_1sTimerSettings_t;
typedef int PWM_Polarity_t;

#define PWM_1S_TIMER_ENABLE (enum pwm_1s_timer_settings) pwm_1s_timer_enable
#define PWM_CLOCK_32KHZ 0
#define PWM_POL_REVERSE_OFF 0

typedef struct {
  RET_API (*Initialize)(PWM_Channel_t channel, PWM_Clock_t clock, PWM_Polarity_t polarity, uint16_t DivNum_16mHz, void (*CB_Function)(uint32_t));
  RET_API (*Config)(PWM_Channel_t channel, uint16_t cycle, uint16_t duty, uint32_t rhythm_pattern);
  RET_API (*SetRhythmCounter)(PWM_Channel_t channel, uint32_t counter);
  RET_API (*StartPWM)(PWM_Channel_t channel, PWM_1sTimerSettings_t timer);
  RET_API (*StopPWM)(PWM_Channel_t channel);
} const TC35680_DRIVER_PWM;

extern TC35680_DRIVER_PWM Driver_PWM;

#endif