/****************************************************************************
 *   COPYRIGHT 2019 All rights reserved
 *   Panasonic Industrial Devices Europe GmbH
 ****************************************************************************/

#include "application.h"
#include "ble_api_master.h"

void ble_application_master_resolve_address_user_failed_callback(void)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_master_resolve_address_user_success_callback(uint8_t *data, uint8_t *bd_addr)
{
  dprintf("bd_address " BD_ADDR_FORMAT_STRING "\n", BD_ADDR_ARGUMENTS(bd_addr));
  __debugbreak();
}

void ble_application_master_create_connection_cancel_response_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

enum ble_api_result ble_application_master_extended_advertise_report_event_callback(struct tcu_le_mng_extended_adv_report_event *event)
{
  dprintf("\n");
  __debugbreak();
  return LE_API_SUCCESS;
}

enum ble_api_result ble_application_master_directed_advertise_report_event_callback(struct tcu_le_mng_directed_adv_report_event *event)
{
  dprintf("\n");
  __debugbreak();
  return LE_API_SUCCESS;
}

void ble_application_master_scan_time_out_event_callback(void)
{
  dprintf("\n");
  __debugbreak();
}

#include "ble_api.h"

void ble_application_mng_read_whitelist_size_response_callback(uint8_t status, uint8_t size)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_update_whitelist_response_callback(uint8_t opcode, uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_generate_oob_data_success_callback(const uint8_t *own_rand_value, const uint8_t *own_confirm_value)
{
  dprintf("\n");
  /* ignore this callback */
  //	__debugbreak();
}

void ble_application_mng_generate_oob_data_failed_callback(uint8_t reason)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_connect_callback(const struct ble_connection_parameters *c)
{
  dprintf("bd_address " BD_ADDR_FORMAT_STRING ", conn_interval %d, conn_latency %d, supervision_timeout %d\n", BD_ADDR_ARGUMENTS(c->connect_addr), c->conn_interval, c->conn_latency, c->supervision_timeout);
  /* ignore this callback */
  //	__debugbreak();
}

void ble_application_mng_disconnect_callback(const struct ble_connection_parameters *connection, uint8_t reason)
{
  dprintf("reason %02x\n", reason);
  /* ignore this callback */
  //	__debugbreak();
}

void ble_application_mng_connection_failed_callback(uint8_t status)
{
  dprintf("status %02x\n", status);
  /* ignore this callback */
  //	__debugbreak();
}

void ble_application_mng_l2cap_connection_update_callback(uint16_t status, uint16_t connection_handle)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_connection_update_event_callback(uint8_t *data)
{
  dprintf("\n");
  /* ignore this callback */
  //	__debugbreak();
}

void ble_application_mng_authenticated_payload_timeout_expired_event_callback(uint16_t connection_handle)
{
  dprintf("\n");
  /* ignore this callback */
  //	__debugbreak();
}

void ble_application_mng_get_le_status_response_callback(uint8_t *le_status)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_read_channel_map_response_callback(uint8_t *channel_map)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_read_tx_power_level_callback(uint8_t *response)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_set_host_channel_classification_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_read_authenticated_payload_callback(uint8_t *response)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_write_authenticated_payload_callback(uint8_t *response)
{
  dprintf("\n");
  /* ignore this callback */
  //	__debugbreak();
}

void ble_application_mng_set_data_length_response_callback(uint8_t status, uint16_t connection_handle)
{
  dprintf("\n");
  /* ignore this callback */
  //	__debugbreak();
}

void ble_application_mng_data_length_change_event_callback(uint8_t status, uint16_t connection_handle, struct ble_data_length_params *event)
{
  dprintf("max_rx_octets %04x, max_rx_time %04x, max_tx_octets %04x, "
          "max_tx_time %04x\n",
          event->max_rx_octets, event->max_rx_time, event->max_tx_octets, event->max_tx_time);
  /* ignore this callback */
  //	__debugbreak();
}

void ble_application_mng_read_rssi_callback(uint8_t *response)
{
  dprintf("\n");
  __debugbreak();
}

void ble_api_mng_set_tx_power_response_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_gen_non_resolvable_bd_address_failed_callback(uint8_t reason)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_gen_non_resolvable_bd_address_success_callback(uint8_t *bd_address)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_set_ir_value_response_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_set_random_address_response_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_internal_random_address_generated_event_callback(uint8_t status, uint8_t *bd_address)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_resolve_address_user_failed_callback(void)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_resolve_address_user_success_callback(uint8_t *data, uint8_t *bd_addr)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_mng_read_phy_response_callback(uint8_t status, uint16_t connection_handle, uint8_t tx_phy, uint8_t rx_phy)
{
  dprintf("status 0x%x, connection_handle 0x%x, tx_phy 0x%x, rx_phy 0x%x\n", status, connection_handle, tx_phy, rx_phy);
  __debugbreak();
}

void ble_application_mng_set_default_phy_response_callback(uint8_t status)
{
  dprintf("status 0x%x\n", status);
  __debugbreak();
}

void ble_application_mng_read_transmit_power_response_callback(uint8_t status, uint8_t min_tx_power, uint8_t max_tx_power)
{
  dprintf("status 0x%x, min_tx_power 0x%x, max_tx_power 0x%x\n", status, min_tx_power, max_tx_power);
  __debugbreak();
}

void ble_application_mng_channel_selection_algorithm_event_callback(uint16_t connection_handle, uint8_t algorithm)
{
  dprintf("connection_handle 0x%x, algorithm 0x%x\n", connection_handle, algorithm);
  /* ignore this callback */
  //  __debugbreak();
}

void ble_application_mng_read_adv_channel_transmit_power_response_callback(uint8_t status, uint8_t tx_power_level)
{
  dprintf("status 0x%x, tx_power_level 0x%x\n", status, tx_power_level);
  __debugbreak();
}

#include "ble_api_slave.h"

void ble_application_slave_set_extended_scan_data_response_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_slave_advertising_terminated_event_callback(uint8_t status, uint8_t advertising_handle, uint16_t connection_handle, uint8_t num_adv_events_completed)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_slave_scan_request_received_event_callback(uint8_t advertising_handle, uint8_t scanner_address_type, uint8_t *scanner_address)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_slave_delete_advertising_set_response_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_slave_read_max_adv_data_length_response_callback(uint8_t status, uint16_t max_adv_data_length)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_slave_configure_extended_advertise_parameter_response_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_slave_set_advertise_data_response_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_slave_get_advertise_data_callback(uint8_t **adv_data_ptr, uint16_t *adv_data_length)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_slave_get_scan_response_data_callback(uint8_t **adv_data_ptr, uint16_t *adv_data_length)
{
  dprintf("\n");
  __debugbreak();
}

#include "ble_api_smp.h"

void ble_application_smp_key_entry_callback(uint16_t connection_handle, uint32_t key, uint8_t pass_key_entry_method)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_smp_key_press_notification_event_callback(uint16_t connection_handle, uint8_t notification_type)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_smp_oob_data_entry_callback(uint16_t connection_handle, uint8_t pass_key_entry_method)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_smp_sec_con_oob_data_request_event_callback(uint16_t connection_handle, uint8_t pass_key_entry_method)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_smp_remote_oob_data_request_callback(uint16_t connection_handle, uint8_t *remote_rand_value, uint8_t *remote_confirm_value)
{
  dprintf("\n");
  __debugbreak();
}

void ble_application_smp_peer_device_identity_address_received_event_callback(enum tcu_le_smp_address_type peer_address_type, uint8_t *peer_identity_address)
{
  dprintf("\n");
  __debugbreak();
}

#include "bt_api_ven_flash.h"

void bt_application_ven_read_rssi_ctrl_event_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void bt_application_ven_read_rssi_event_callback(uint8_t status, uint8_t *data)
{
  dprintf("\n");
  __debugbreak();
}

void bt_application_ven_set_baud_rate_event_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void bt_application_ven_set_bd_addr_event_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

void bt_application_ven_i2c_operation_done_callback(uint8_t status, uint32_t bytes, uint8_t operation)
{
  dprintf("\n");
  __debugbreak();
}

void bt_application_ven_change_system_clock_event_callback(uint8_t status)
{
  dprintf("\n");
  __debugbreak();
}

#include "client_device_information_api.h"

void client_profile_device_information_discover_done_callback(void)
{
  dprintf("\n");
  /* ignore this callback */
  //	__debugbreak();
}

void client_profile_device_information_discover_failed_callback(uint16_t connection_handle)
{
  dprintf("\n");
  __debugbreak();
}

void client_device_information_service_found_callback(uint16_t connection_handle)
{
  dprintf("\n");
  /* ignore this callback */
  //	__debugbreak();
}

void client_device_information_service_read_manufacturer_name_string_done_callback(struct characteristic_manufacturer_name_string *manufacturer_name_string, uint16_t connection_handle)
{
  dprintf("\n");
  __debugbreak();
}

void client_device_information_service_read_manufacturer_name_string_failed_callback(uint8_t status, uint16_t connection_handle)
{
  dprintf("\n");
  __debugbreak();
}

#include "client_generic_access_api.h"

void client_generic_access_service_found_callback(uint16_t connection_handle)
{
  dprintf("\n");
  /* ignore this callback */
  //	__debugbreak();
}

void client_generic_access_service_read_device_name_done_callback(struct characteristic_gap_device_name *device_name, uint16_t connection_handle)
{
  dprintf("\n");
  __debugbreak();
}

void client_generic_access_service_read_device_name_failed_callback(uint8_t status, uint16_t connection_handle)
{
  dprintf("\n");
  __debugbreak();
}

void client_generic_access_service_read_appearance_done_callback(struct characteristic_gap_appearance *appearance, uint16_t connection_handle)
{
  dprintf("\n");
  __debugbreak();
}

void client_generic_access_service_read_appearance_failed_callback(uint8_t status, uint16_t connection_handle)
{
  dprintf("\n");
  __debugbreak();
}
